Commit 165e8f98 authored by Tristan Cavelier's avatar Tristan Cavelier

xxx fetch from v8 part

parent 304d59db
......@@ -20,7 +20,7 @@ url = https://github.com/ONLYOFFICE/core/archive/win-v4.3.0.61.tar.gzl
md5sum = 7e735af4f964f6adf82ec9265e84ac8c
patch-options = -p0
patches =
${:_profile_base_location_}/rewrite-scripts.patch#0dfd451f95d4bd0677538d7bed41f3ca
${:_profile_base_location_}/rewrite-scripts.patch#331a6a26dcbb954db70dcf41f28df6c2
${:_profile_base_location_}/cryptopp.patch#a2f892e23e13952539d1acfd013be7de
# ${:_profile_base_location_}/avoid-7z.patch#0dd7356c1a766ec14e0e8bcafcffe1a7
# error: 'to_wstring' is not a member of 'std' -> http://www.cplusplus.com/forum/general/109469/
......@@ -40,6 +40,7 @@ patches =
configure-command =
# echo 'QMAKESPEC = ${qmake:location}/mkspecs/linux-g++' >> Comment/3dParty/cryptopp/project/cryptopp.pro
sed 's:^V8_ABSOLUTE_PATH=SED_IT$:V8_ABSOLUTE_PATH=${v8-4.10:location}:' -i Common/3dParty/v8/fetch.sh || exit 1
sed 's,\(include($$PWD/OfficeUtils.pri)\)),\1,g' -i OfficeUtils/OfficeUtils.pro || exit 1
sed 's,\$\$SOURCES_UTILS,'"$PWD/OfficeUtils/src,g" -i OfficeUtils/OfficeUtils.pri || exit 1
sed 's@qmake -r@qmake -r -spec ${qmake:location}/mkspecs/linux-g++ "QMAKE_CXXFLAGS += -std=c++11 -fPIC -I${zlib:location}/include -Wl,-rpath=${zlib:location}/lib"@g' -i Makefile || exit 1
......
......@@ -344,14 +344,13 @@
-cp "./third_party/icu/mac/icudtl_dat.S" "./../$platform$arch/"
+ cp "./third_party/icu/mac/icudtl_dat.S" "./../$platform$arch/"
fi
--- Common/3dParty/v8/fetch.sh.orig 2017-01-30 15:01:43.810152465 +0100
+++ Common/3dParty/v8/fetch.sh 2017-02-01 15:24:37.740189528 +0100
@@ -1,20 +1,24 @@
--- Common/3dParty/v8/fetch.sh.orig 2017-02-14 11:21:06.666854412 +0100
+++ Common/3dParty/v8/fetch.sh 2017-02-14 11:42:27.169782480 +0100
@@ -1,20 +1,16 @@
#!/bin/bash
+# XXX actualy, this file should be named fetch.bash
+set -e
+# XXX move /usr/bin to last PATH place
+_tmp_PATH=$(echo "$PATH" | sed 's,\(^\|:\)/usr/bin\(:\|$\),\1\2,g') && export PATH="$(echo "$_tmp_PATH:/usr/bin" | sed 's,:\+,:,g')" || :
+V8_ABSOLUTE_PATH=SED_IT
SCRIPT=$(readlink -f "$0")
SCRIPTPATH=$(dirname "$SCRIPT")
......@@ -361,22 +360,21 @@
-if [ ! -d "depot_tools" ]
-then
-git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git
+if [ ! -d depot_tools ] ; then
+ git clone https://chromium.googlesource.com/chromium/tools/depot_tools.git
+if [ ! -d v8 ]; then
+ mkdir v8
+ ln -s "$V8_ABSOLUTE_PATH/out" v8/out
+ ln -s "$V8_ABSOLUTE_PATH/third_party" v8/third_party
+ echo "native:" > v8/Makefile
fi
export PATH=`pwd`/depot_tools:"$PATH"
-
-export PATH=`pwd`/depot_tools:"$PATH"
-
-if [ ! -d "./v8" ]
-then
-fetch v8
+if [ ! -d v8 ] ; then
+ fetch v8
fi
gclient sync -r 4.10.253
+cd v8
+git apply ../slapos-v8.patch
-fi
-
-gclient sync -r 4.10.253
--- /dev/null 2017-01-30 09:00:09.914078893 +0100
+++ Common/3dParty/v8/slapos-v8.patch 2017-02-01 16:39:12.093279611 +0100
@@ -0,0 +1,235 @@
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment